%define ver_major 2.30
%def_disable beagle
%def_disable debug

# Uncomment exactly one of the following (the best choice is the lowest):
#define gecko_provider thunderbird
#define gecko_provider mozilla
#define gecko_provider seamonkey
#define gecko_provider firefox
%define gecko_provider xulrunner

Name: yelp
Version: %ver_major.2
Release: alt3

Summary: Lightweight help browser for GNOME
License: %gpl2plus
Group: Graphical desktop/GNOME
URL: ftp://ftp.gnome.org

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

Patch1: yelp-alt-help_url.patch
# from Fedora: register docbook mime type for yelp
Patch2: yelp-2.13.2-add-mime-handling.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=497559
Patch3: %name-2.23.1-fedora-hp.patch
# (fc) 2.4.2-4mdk strip newline from title
Patch4: yelp-2.6.0-title.patch
# fwang: Patch to define langs before using
Patch6: yelp-2.19.1-langs-define.patch
# from Fedora: libxul support patch
Patch8: yelp-2.15.91-fedora-use-pango.patch

# fix man encoding (altbugs ##15648, 16795)
Patch9: %name-2.23.1-alt-man_encoding.patch
Patch10:  %name-2.23.1-alt-man_encoding-part2.patch

Patch11: %name-2.23.91-debug.patch
#https://bugs.gentoo.org/show_bug.cgi?id=330847
Patch12: %name-2.30.2-xulrunner_build.patch

# http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/gnome-extra/yelp/files/
Patch13: yelp-2.30.2-missing-slash.patch
Patch16: yelp-2.30.2-uri-handler.patch

# From configure.in
%define gnome_doc_utils_ver 0.19.5
%define gio_ver 2.0
%define gtk_ver 2.10.0
%define libxml_ver 2.6.5
%define libxslt_ver 1.1.4
%define startup_notification_ver 0.8
%define rarian_ver 0.7.0
%define beagle_ver 0.3.0
%define gecko_ver 1.9

BuildPreReq: desktop-file-utils
Requires(post,postun): desktop-file-utils
PreReq: GConf

Requires: man >= 1.6f-alt5
Requires: docbook-dtds
Requires: gnome-doc-utils-xslt >= %gnome_doc_utils_ver

# %%gconf_schemasdir is defined in rpm-build-gnome-0.5
BuildPreReq: rpm-build-licenses rpm-build-gnome >= 0.5

# From configure.in
BuildPreReq: gnome-common
BuildPreReq: intltool >= 0.35
BuildPreReq: libGConf-devel
BuildPreReq: gnome-doc-utils >= %gnome_doc_utils_ver
BuildPreReq: libgio-devel >= %gio_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxml2-devel >= %libxml_ver
BuildPreReq: libxslt-devel >= %libxslt_ver
BuildPreReq: libstartup-notification-devel >= %startup_notification_ver
BuildPreReq: librarian-devel >= %rarian_ver 
BuildPreReq: libdbus-glib-devel
BuildPreReq: libX11-devel libXt-devel libSM-devel
%{?_enable_beagle:BuildPreReq: libbeagle-devel >= %beagle_ver}
BuildPreReq: gcc-c++ 
BuildPreReq: %gecko_provider-devel >= %gecko_ver
BuildPreReq: zlib-devel bzlib-devel

%description
Yelp is a help browser for the GNOME desktop. Yelp provides
a simple graphical interface for viewing DocBook, HTML, man, and info
formatted documentation. The name Yelp was suggested by Daniel Lundin.
Yelp is pronounced the same as the swedish word for 'help'.

%prep
%setup -q
%patch1 -p1
%patch2 -p1 -b .add-mime-handling
%patch3 -p1
%patch4 -p1 -b .title
%patch6 -p1 -b .lang-define
%patch8 -p1
%patch9 -p1
%patch10 -p1
#%%patch11 -p1
%patch12 -p1

%patch13 -p1
%patch16 -p1

rm -f data/%name.schemas

%build
%autoreconf

export CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libxul-embedding)"
export CXXFLAGS="$CXXFLAGS -I%_includedir/nspr"
export LDFLAGS="$LDFLAGS $(pkg-config --libs libxul-embedding)"

%configure \
	--disable-schemas-install\
	--disable-static \
	%{?_disable_beagle:--with-search=basic} \
	--with-gecko=libxul-embedding \
	%{subst_enable debug}


%make_build

%install
%make_install install DESTDIR=%buildroot

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_desktopdir/*
%_datadir/%name
%_iconsdir/hicolor/192x192/apps/yelp-icon-big.png
%config %gconf_schemasdir/*
%doc AUTHORS ChangeLog README NEWS TODO

%changelog
* Wed Apr 27 2011 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt3
- use g_build_filename to avoid missing slash problem
- added schemehandler information to the desktop file

* Tue Apr 26 2011 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt2
- fixed for xulrunner-2.0

* Tue Oct 19 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt1
- 2.30.2

* Sun May 02 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Mon Mar 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Mon Feb 22 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5-alt1
- 2.29.5

* Tue Feb 16 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt4
- beagle support disabled

* Tue Feb 09 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.4-alt1
- 2.29.4

* Tue Jan 26 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.3-alt1
- 2.29.3

* Tue Jan 12 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.2-alt1
- 2.29.2

* Wed Jan 06 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.1-alt1
- 2.29.1

* Sat Nov 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt2
- removed broken pregenerated yelp.schemas from source

* Fri Nov 20 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Thu Sep 24 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt2
- lzma support disabled

* Tue Sep 22 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Thu Sep 10 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.5-alt1
- 2.27.5

* Sun Mar 22 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Mon Dec 29 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt2
- updated buildreqs
- removed obsolete %%post{,un} calls

* Mon Sep 22 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- new version

* Wed Sep 03 2008 Yuri N. Sedunov <aris@altlinux.org> 2.23.91-alt1
- new version
- Used man-show-source implemented by legion@ in man-1.6f-alt5 package to
  fix reopened #15648 (patch10)
- patch3 from Fedora (gnome bug #497559)

* Sun Aug 31 2008 Yuri N. Sedunov <aris@altlinux.org> 2.23.1-alt3
- hack to fix man encoding -- patch9 (altbugs ##15648, 16795).

* Thu Aug 07 2008 Alexey Rusakov <ktirf@altlinux.org> 2.23.1-alt2.1
- Plugged the security hole (see https://bugs.launchpad.net/bugs/254860 for
  details).

* Tue Jul 29 2008 Yuri N. Sedunov <aris@altlinux.org> 2.23.1-alt2
- fixed %%build, many thanks legion@

* Sun Jul 20 2008 Yuri N. Sedunov <aris@altlinux.org> 2.23.1-alt1
- jump to 2.23
- built against xulrunner
- removed Patch10 (yelp-2.22.0-beagle-0.3.0.patch) - ready to beagle-0.3.0

* Tue Jun 10 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt2
- Require docbook-dtds (#15943)
- Require gnome-doc-utils-xslt (#15734)
- change online url search to search.altlinux.org

* Tue Apr 08 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt1
- new version (2.22.1)

* Wed Apr 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt2
- remove requires beagle-crawl-system (#15167)
- add update/clean menus

* Sun Mar 30 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)

* Sat Dec 29 2007 Alexey Rusakov <ktirf@altlinux.org> 2.21.1-alt2
- Removed explicit (and unnecessary) runtime dependency on gnome-doc-utils.
- Use a license macro.
- Spec cleanup around %%makeinstall invocation.

* Wed Dec 12 2007 Alexey Shabalin <shaba@altlinux.ru> 2.21.1-alt1
- new version (2.21.1) (for 2.20.0 need rarian-0.6.0, but ALTLinux have rarian-0.7.0)
- update buildreq
- register docbook mime type for yelp (patch2)
- strip newline from title (patch4)
- patch to define langs before using (patch6)
- fix build with beagle-0.3.0 (patch10)

* Sun Jul 15 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.1-alt1
- new version (2.18.1)
- use macros from rpm-build-gnome
- yelp-pregenerate is not needed for as long as 3 years, so is removed.

* Tue Feb 06 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version (2.16.2)

* Sat Oct 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt2
- fixed building on x86_64.

* Tue Oct 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version 2.16.1
- switched to xulrunner

* Fri Sep 22 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt2
- rebuild with new Firefox.

* Tue Sep 05 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version 2.16.0 (with rpmrb script)

* Sat Aug 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)

* Tue Aug 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.5-alt1
- new version 2.15.5 (GNOME 2.16 beta)
- switched from Mozilla to Firefox (does it build?)

* Thu Jun 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Tue Apr 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Fri Mar 31 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version (2.14.0)

* Wed Mar 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5-alt2
- Fixed Gecko provider macros.

* Fri Feb 24 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5-alt1
- new version (2.13.5)
- removed Debian stuff
- added Beagle switch (does nothing yet)
- added Gecko provider switch.

* Mon Jan 09 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- new version

* Tue Nov 29 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version

* Mon Nov 21 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt2
- Added rpath hack to the build due to Bug #8530.

* Sat Sep 24 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- 2.12.1

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed excess buildreqs.

* Mon Sep 05 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Fri Apr 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.3-alt1.1
- build current cvs snapshot.

* Fri Jan 14 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.3-alt1
- 2.9.3

* Mon Jan 03 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.2-alt1
- 2.9.2

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Tue Aug 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Sun Jul 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1.1
- updated buildreqs to make buildable.

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Mar 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Wed Feb 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Thu Feb 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Tue Nov 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Thu Jul 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Tue Sep 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt1
- 1.0.6
- Group changed.

* Fri Jun 21 2002 Igor Androsov <blake@altlinux.ru> 1.0.1-alt1
- New version
- Fix Requires and BuildPreReq section
- Fix files section
- Cosmetic changes spec

* Wed Jun 19 2002 Igor Androsov <blake@altlinux.ru> 1.0-alt1
- Initial build for AltLinux
- Added make_build
- Added Icons for Menu
- Added menu file

* Sun May 19 2002 Igor Androsov <blace@mail.ru> 0.7.0-blk1
- New version from CVS
- Created spec
